/*
 * In here are some GPIO and UDEV definitions.
 */

#ifndef DEFINES_H
#define DEFINES_H

// All definitions for udev
#define DEVICE_NAME "sevenseg"
#define CLASS_NAME "sseg"

// All definitions for GPIO
#define GPIO_TOP          24 // Pin #18
#define GPIO_TOP_LEFT     25 // Pin #22
#define GPIO_TOP_RIGHT    23 // Pin #16
#define GPIO_MIDDLE       8  // Pin #24
#define GPIO_BOTTOM_LEFT  4  // Pin #7
#define GPIO_BOTTOM_RIGHT 27 // Pin #13
#define GPIO_BOTTOM       17 // Pin #11
#define GPIO_DOT          22 // Pin #15

#define GPIO_LOW          1
#define GPIO_HIGH         0

#endif